Subject: Re: [Bitcoin-development] Proposal: remove "getwork" RPC from bitcoind

From: Jeff Garzik <[email-masked]>
Date: Thu, 22 Aug 2013 09:18:19 -0400

On Thu, Aug 22, 2013 at 5:36 AM, Maciej Trebacz <[email-masked]> wrote:
> Will removing "getwork" from the client impact the "setgenerate" RPC call?
> I.e. would you still be able to generate coins on testnet-in-a-box this way,
> or would you need a dedicated miner for that? testnet-in-a-box is very
> useful for testing and easy to setup, it would be great if it stays that way

Yes, that is currently being discussed in a separate pull request.  My
pull request does not impact setgenerate, but an added proposal does
remove the internal miner completely.

-- 
Jeff Garzik
Senior Software Engineer and open source evangelist
BitPay, Inc.      https://bitpay.com/